VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR:
[legend]

## Public Member Functions

| BindImageMemorySwapchainInfoKHR (SwapchainKHR swapchain_=SwapchainKHR(), uint32_t imageIndex_=0)
| BindImageMemorySwapchainInfoKHR (VkBindImageMemorySwapchainInfoKHR const &rhs)
BindImageMemorySwapchainInfoKHR & | operator= (VkBindImageMemorySwapchainInfoKHR const &rhs)
BindImageMemorySwapchainInfoKHR & | setPNext (const void *pNext_)
BindImageMemorySwapchainInfoKHR & | setSwapchain (SwapchainKHR swapchain_)
BindImageMemorySwapchainInfoKHR & | setImageIndex (uint32_t imageIndex_)
| operator VkBindImageMemorySwapchainInfoKHR const & () const
| operator VkBindImageMemorySwapchainInfoKHR & ()
bool | operator== (BindImageMemorySwapchainInfoKHR const &rhs) const
bool | operator!= (BindImageMemorySwapchainInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
SwapchainKHR | swapchain
uint32_t | imageIndex

## Private Attributes

StructureType | sType = StructureType::eBindImageMemorySwapchainInfoKHR

## Detailed Description

Definition at line 14910 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BindImageMemorySwapchainInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::BindImageMemorySwapchainInfoKHR | ( | SwapchainKHR | swapchain_ = `SwapchainKHR()`,
|  | uint32_t | imageIndex_ = `0`
| ) |  |

inline

Definition at line 14912 of file vulkan.hpp.

: swapchain( swapchain_ )
, imageIndex( imageIndex_ )
{
}

## BindImageMemorySwapchainInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::BindImageMemorySwapchainInfoKHR | ( | VkBindImageMemorySwapchainInfoKHR const & | rhs | ) |

inline

Definition at line 14919 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImageMemorySwapchainInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkBindImageMemorySwapchainInfoKHR &()

VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::operator VkBindImageMemorySwapchainInfoKHR & | ( |  | ) |

inline

Definition at line 14952 of file vulkan.hpp.

{
return *reinterpret_cast<VkBindImageMemorySwapchainInfoKHR*>(this);
}

## operator VkBindImageMemorySwapchainInfoKHR const &()

VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::operator VkBindImageMemorySwapchainInfoKHR const & | ( |  | ) | const

inline

Definition at line 14947 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBindImageMemorySwapchainInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::operator!= | ( | BindImageMemorySwapchainInfoKHR const & | rhs | ) | const

inline

Definition at line 14965 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BindImageMemorySwapchainInfoKHR& VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::operator= | ( | VkBindImageMemorySwapchainInfoKHR const & | rhs | ) |

inline

Definition at line 14924 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImageMemorySwapchainInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::operator== | ( | BindImageMemorySwapchainInfoKHR const & | rhs | ) | const

inline

Definition at line 14957 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( swapchain == rhs.swapchain )
&& ( imageIndex == rhs.imageIndex );
}

References imageIndex, pNext, sType, and swapchain.

Referenced by operator!=().

## setImageIndex()

BindImageMemorySwapchainInfoKHR& VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::setImageIndex | ( | uint32_t | imageIndex_ | ) |

inline

Definition at line 14941 of file vulkan.hpp.

{
imageIndex = imageIndex_;
return *this;
}

References imageIndex.

## setPNext()

BindImageMemorySwapchainInfoKHR& VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14929 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setSwapchain()

BindImageMemorySwapchainInfoKHR& VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::setSwapchain | ( | SwapchainKHR | swapchain_ | ) |

inline

Definition at line 14935 of file vulkan.hpp.

{
swapchain = swapchain_;
return *this;
}

References swapchain.

## Field Documentation

## imageIndex

uint32_t VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::imageIndex

Definition at line 14976 of file vulkan.hpp.

Referenced by operator==(), and setImageIndex().

## pNext

const void* VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::pNext = nullptr

Definition at line 14974 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::sType = StructureType::eBindImageMemorySwapchainInfoKHR

private

Definition at line 14971 of file vulkan.hpp.

Referenced by operator==().

## swapchain

SwapchainKHR VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::swapchain

Definition at line 14975 of file vulkan.hpp.

Referenced by operator==(), and setSwapchain().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:14971
VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:14974
VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::swapchain
SwapchainKHR swapchain
Definition: vulkan.hpp:14975
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::BindImageMemorySwapchainInfoKHR
BindImageMemorySwapchainInfoKHR(SwapchainKHR swapchain_=SwapchainKHR(), uint32_t imageIndex_=0)
Definition: vulkan.hpp:14912
VkBindImageMemorySwapchainInfoKHR
Definition: vulkan_core.h:4848
VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::operator==
bool operator==(BindImageMemorySwapchainInfoKHR const &rhs) const
Definition: vulkan.hpp:14957
VULKAN_HPP_NAMESPACE::BindImageMemorySwapchainInfoKHR::imageIndex
uint32_t imageIndex
Definition: vulkan.hpp:14976